package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 消息推送枚举
 * @Author 纪寒
 * @Date 2024-03-19 10:12:39
 * @Version 1.0
 */
@Getter
public enum MessageTypeEnum {
    /**
     * 电话外呼
     */
    PHONE_OUTBOUND("PHONE_OUTBOUND"),

    /**
     * 问卷量表
     */
    QUESTIONNAIRE_SCALE("QUESTIONNAIRE_SCALE"),

    /**
     * 宣教文章
     */
    PROPAGANDA_ARTICLE("QUESTIONNAIRE_SCALE"),

    /**
     * 文字提醒
     */
    TEXT_REMIND("TEXT_REMIND"),

    /**
     * 人工随访
     */
    ARTIFICIAL_FOLLOW_UP("ARTIFICIAL_FOLLOW_UP"),

	/**
	 * 短信提醒
	 */
	SMS_REMIND("SMS_REMIND"),
    ;
    final private String value;

    MessageTypeEnum(String value) {
        this.value = value;
    }
}
